com.google.web.bindery.requestfactory.server

## Interface RequestFactoryJarExtractor.Emitter

All Known Implementing Classes:
  RequestFactoryJarExtractor.JarEmitter

Enclosing class:
  RequestFactoryJarExtractor

    public static interface RequestFactoryJarExtractor.Emitter

Describes a way to emit the contents of a classpath, typically into a JAR or filesystem directory.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`void` `emit(java.lang.String path, java.io.InputStream contents)`

### Method Detail

#### close

    void close()
        throws java.io.IOException

Throws:
  `java.io.IOException`

#### emit

    void emit(java.lang.String path,
              java.io.InputStream contents)
       throws java.io.IOException

Throws:
  `java.io.IOException`